Skip to content
FreeTicketDocs
Esc
↑↓navigate↵open⌘Jpreview

Export buyers, with filters (max 5000)

Minimum role: ADMIN. Active workspace via the X-Workspace-Id header.

GET/reports/exports/buyers
Authorization
AuthorizationAPI key · headerrequired

API key prefixed with Bearer . Alternative: the x-api-key header with the raw key. Available scopes: read and write (see /.well-known/oauth-protected-resource).

or
x-api-keyAPI key · headerrequired

Raw API key (without Bearer ), alternative to Authorization.

Query parameters
eventstring

Filter by Event.id

eventDatestring

Filter by EventDate.id

fromstring

ISO 8601 — from (on Sale.created_at)

tostring

ISO 8601 — to (on Sale.created_at)

statusstring

PENDING|CONFIRMED|ABANDONED|CANCELLED|REFUNDED (default CONFIRMED)

Allowed:PENDINGCONFIRMEDABANDONEDCANCELLEDREFUNDED
Header parameters
X-Workspace-Idstring

Active workspace to operate on. Optional: when omitted, the default workspace of the user who owns the key is used (pickActiveOrg).

Responses
200

OK

dataExportBuyer[]required
Show properties
Array of ExportBuyer
referencestringrequired
namestringrequired
emailstringrequired
phonestring | nullrequired
Show properties
Any of:
string
string
null
null
documentTypestring | nullrequired
Show properties
Any of:
string
string
null
null
documentNumberstring | nullrequired
Show properties
Any of:
string
string
null
null
totalnumberrequired
currencystringrequired
saleStatusstringrequired
Allowed:PENDINGCONFIRMEDABANDONEDCANCELLEDREFUNDED
createdAtstringrequired
itemsExportSaleItem[]required
Show properties
Array of ExportSaleItem
eventIdstringrequired
eventNamestringrequired
eventDateIdstringrequired
eventDateStartsAtstringrequired
ticketTypeIdstringrequired
ticketTypeNamestringrequired
quantityintegerrequired
min -9007199254740991 · max 9007199254740991
pagePagerequired
Show properties
nextCursorstring | nullrequired
Show properties
Any of:
string
string
null
null
hasMorebooleanrequired
totalinteger
min -9007199254740991 · max 9007199254740991
401

Missing or invalid credential.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
403

Insufficient role or resource not accessible.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
404

Resource does not exist or is out of scope.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
422

Request body/parameter validation failed.

errorobjectrequired
Show properties
codestringrequired
messagestringrequired
retryablebooleanrequired
detailsany
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://admin.appfreeticket.com/api/v1/reports/exports/buyers' \
  -H 'Authorization: YOUR_API_KEY'
Response
{
  "data": [
    {
      "reference": "string",
      "name": "string",
      "email": "string",
      "phone": "string",
      "documentType": "string",
      "documentNumber": "string",
      "total": 0,
      "currency": "string",
      "saleStatus": "PENDING",
      "createdAt": "string",
      "items": [
        {
          "eventId": "string",
          "eventName": "string",
          "eventDateId": "string",
          "eventDateStartsAt": "string",
          "ticketTypeId": "string",
          "ticketTypeName": "string",
          "quantity": -9007199254740991
        }
      ]
    }
  ],
  "page": {
    "nextCursor": "string",
    "hasMore": true,
    "total": -9007199254740991
  }
}